﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

using Kendo.Mvc.UI;
using Kendo.Mvc.Extensions;

using Grid_on_Window_Close.Models;


namespace Grid_on_Window_Close.Controllers
{
    public class HomeController : Controller
    {
        private readonly List<ControlElement> context = new List<ControlElement>
        {
            new ControlElement { ElementId=1, ControlId=1, RecurrenceRule="desc 1" },
            new ControlElement { ElementId=2, ControlId=2, RecurrenceRule="desc 2" },
            new ControlElement { ElementId=3, ControlId=3, RecurrenceRule="desc 3" },
            new ControlElement { ElementId=4, ControlId=4, RecurrenceRule="desc 4" },
            new ControlElement { ElementId=5, ControlId=5, RecurrenceRule="desc 5" }
        };

        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";

            return View(context);
        }

        public JsonResult GetItems([DataSourceRequest] DataSourceRequest request)
        {

            return Json(context.ToDataSourceResult(request), JsonRequestBehavior.AllowGet);
        }


        public ActionResult RRuleGenerator(int _Element, int _Control, string _RRule)
        {
            ControlElement ce = new ControlElement();
            ce.ElementId = _Element;
            ce.ControlId = _Control;
            ce.RecurrenceRule = _RRule;
            return View(ce);
        }
    }
}
